import {create} from "zustand";
import {produce} from "immer";
import {persist, createJSONStorage} from "zustand/middleware";
import AsynStorage from "@react-native-async-storage/async-storage";
import DonutData from "../data/DonutData";
import DrinkData from "../data/DrinkData";

export const useStore = create(
    persist(
        (set, get) => ({
            AllDonut: DonutData,
            AllDrinkList: DrinkData,
            CartPrice: 0,
            FavoriteList: [],
            CartList: [],
            ReceiptList: []
        }), {
            name: 'donutshop',
            storage: createJSONStorage(() => AsynStorage),
        }
    ),
)
